Page MenuHomeFreeBSD

astro/gpsd: Update to 3.20
ClosedPublic

Authored by lbartoletti on Mar 2 2020, 12:30 PM.

Details

Summary

astro/gpsd: Update to 3.20

[1] scons is py27 only and check py27 packages for a py37 port. I commented these tests in SConstruct since we already do it in our Makefile.

Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 11/12/13, i386/amd64 tested)
  • tested with my ublox m8 and adafruit ultimate GPS chips

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Mar 2 2020, 12:30 PM
lbartoletti added a comment.EditedMar 5 2020, 5:17 PM

Build successfully:

  • astro/marble
  • comms/gpredict

To be fixed:

  • comms/direwolf
  • astro/foxtrotgps
  • astro/gpxloggerd

same error, with the new API: gps_read has two new parameters in API version 7. Simply change gps_read(&gpsdata) by gps_read(&gpsdata, NULL, 0) https://github.com/wb2osz/direwolf/commit/master?diff=split#diff-0c977a4eda124ead44f83fbbb1dcd51eR272

lbartoletti updated this revision to Diff 69232.Mar 5 2020, 6:24 PM

Fixes astro/foxtrotgps, astro/gpxloggerd and comms/direwolf

  • add a function to convert timespec_to_double (astro/gpxloggerd, astro/foxtrotgps)
  • update gps_read function to the new API. gps_read(&gpsddata) to gps_read(&gpsdata, NULL, 0); (astro/foxtrotgps, astro/gpxloggerd and comms/direwolf)
  • replace unix_to_iso8601 by now_to_iso8601 (astro/gpxloggerd)
tcberner added inline comments.Mar 7 2020, 7:03 PM
astro/gpsd/Makefile
15 ↗(On Diff #69232)

^ does it only work with python 3.7?

lbartoletti marked an inline comment as done.Mar 8 2020, 6:41 AM
lbartoletti added inline comments.
astro/gpsd/Makefile
15 ↗(On Diff #69232)

Unfortunately for now, yes, since comms/py-serial and graphics/py-cairo are not flavored with py38

tcberner requested changes to this revision.Mar 8 2020, 6:55 PM
tcberner added inline comments.
astro/gpsd/files/patch-SConstruct
58 ↗(On Diff #69232)

The patch is doubled :)

This revision now requires changes to proceed.Mar 8 2020, 6:55 PM

Looks good to me :) after you fix the patch.

lbartoletti marked an inline comment as done.

Fix SConstruct patch

This revision was not accepted when it landed; it landed in state Needs Review.Mar 11 2020, 8:26 AM
This revision was automatically updated to reflect the committed changes.